## org.apache.jasper.compiler
Class ELFunctionMapper

    java.lang.Object
      org.apache.jasper.compiler.ELFunctionMapper

    public class ELFunctionMapper

extends Object

This class generates functions mappers for the EL expressions in the page. Instead of a global mapper, a mapper is used for ecah call to EL evaluator, thus avoiding the prefix overlapping and redefinition issues.

Author:
  Kin-man Chung

Constructor Summary
`ELFunctionMapper()`

Method Summary
`static void` `map(Compiler compiler, Node.Nodes page)` Creates the functions mappers for all EL expressions in the JSP page.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ELFunctionMapper

    public ELFunctionMapper()

Method Detail

### map

    public static void map(Compiler compiler,
                           Node.Nodes page)
                    throws JasperException

  Creates the functions mappers for all EL expressions in the JSP page.

  Parameters:
    `compiler` - Current compiler, mainly for accessing error dispatcher.
    `page` - The current compilation unit.
  Throws:
    `JasperException`

Copyright © 2008 Mort Bay Consulting. All Rights Reserved.